#Module with the commands to the equipment BOYU S 2000A

package provide boyu_s_2000a 0.0

puts "Carregado [info script]"

#The variable pin_number defines the pin used to control de device air_pump_II
#any change in the hardware must be updated in the var pin_number

namespace eval air_pump_I {

variable time_out 100 pin_number d9

namespace export on off ig

    proc on {ch} {

variable time_out; variable pin_number

	puts " air_pump_I channel:$ch command SET;$pin_number;1 time_out:$time_out"

	if {[catch {puts $ch "SET;$pin_number;1"}]} { 
	puts " ERROR - AIR_PUMP_I sending command ON channel:$ch "	
	return 0     
        }	
	
	set time_wait 1
	
	after $time_out {set time_wait 0}
	
	vwait time_wait
	
	if {[catch {gets $ch}]} { 
	puts " ERROR - AIR_PUMP_I return of command ON:[gets $ch]"
	return 0 
	}

        return 1
    }
    
    proc off {ch} {

variable time_out; variable pin_number
	
	puts " air_pump_I channel:$ch command SET;$pin_number;0 time_out:$time_out"
	
	if {[catch {puts $ch "SET;$pin_number;0"}]} { 
	puts " ERROR - AIR_PUMP_I sending command OFF channel:$ch "
	return 0 
	}

	set time_wait 1	 
	
	after $time_out {set time_wait 0}
	      
	vwait time_wait
	
	if {[catch {gets $ch}]} { 
	puts " ERROR - AIR_PUMP_I return of command OFF:[gets $ch]"
	return 0 
	}
	
	return 1

    }
    
 proc ig {ch} {
	
variable time_out; variable pin_number
	
	puts " air_pump_I channel:$ch command IG time_out:$time_out"

	return 1
    }

}
########################################################################
#Namespace air_pump_II with specific commands to device air_pump_II
#The variable pin_number defines the pin used to control de device air_pump_II
#any change in the hardware must be updated in the var pin_number

namespace eval air_pump_II {

variable time_out 100 pin_number d10

namespace export on off

    proc on {ch} {

    	variable time_out; variable pin_number

	puts " air_pump_II channel:$ch command SET;$pin_number;1 time_out:$time_out"

	if {[catch {puts $ch "SET;$pin_number;1"}]} { 
	puts " ERROR - AIR_PUMP_II sending command ON channel:$ch "
	return 0 
	}

	set time_wait 1
	
	after $time_out {set time_wait 0}
	
	vwait time_wait
	 
	if {[catch {gets $ch}]} { 
	puts " ERROR - AIR_PUMP_II return of command ON:[gets $ch]"
	return 0 
	}

	return 1
    }
    
    proc off {ch} {

variable time_out; variable pin_number

	puts "air_pump_II channel:$ch command SET;$pin_number;0 time_out:$time_out"
	
	if {[catch {puts $ch "SET;$pin_number;0"}]} { 
	puts " ERROR - AIR_PUMP_II sending command OFF channel:$ch "	
	return 0 
	}

	set time_wait 1
	
	after $time_out {set time_wait 0}
	
	vwait time_wait
	
	if {[catch {gets $ch}]} { 
	puts " ERROR - AIR_PUMP_II return of command OFF:[gets $ch]"
	return 0 
	}
	
	return 1

    }
    
    proc ig {} {
	
variable time_out; variable pin_number

	puts "air_pump_II channel:$ch command IG  time_out:$time_out"
	
	return 1
		
    }
}